module Rage
  module Flip
    module CoreExt
      module Object
        def blank?
          respond_to?(:empty?) ? !!empty? : !self
        end

        def present?
          !blank?
        end

        def presence
          self if present?
        end
      end

      module NilClass
        def blank?
          true
        end
      end

      module String
        def blank?
          /\A[[:space:]]*\z/ === self
        end
      end
    end
  end
end

::Object.send   :include, Rage::Flip::CoreExt::Object
::NilClass.send :include, Rage::Flip::CoreExt::NilClass
::String.send   :include, Rage::Flip::CoreExt::String
